import { EmitterSubscription } from 'react-native';
declare type EventType = 'onInitializationComplete' | 'onInitializationFailed' | 'onUnityAdsShowFailure' | "onUnityAdsShowStart" | "onUnityAdsShowClick" | "onUnityAdsShowComplete" | "onUnityAdsAdLoaded" | "onUnityAdsFailedToLoad";
export declare const addListener: (type: EventType, handler: (value: any) => void) => EmitterSubscription;
export declare function initialize({ gameId, testMode }: {
    gameId: string;
    testMode: boolean;
}): Promise<number>;
export declare function load(placementId: string): Promise<number>;
export declare function show(placementId: string): Promise<number>;
export {};
